Subject: Re: [PATCH ethtool-next] netlink: tsconfig: add HW time stamping configuration

From: Vadim Fedorenko <[email-masked]>
Date: Mon, 6 Oct 2025 13:55:24 +0100

On 06/10/2025 13:45, Kory Maincent wrote:
> On Sat,  4 Oct 2025 20:27:15 +0000
> Vadim Fedorenko <[email-masked]> wrote:
> 
>> The kernel supports configuring HW time stamping modes via netlink
>> messages, but previous implementation added support for HW time stamping
>> source configuration. Add support to configure TX/RX time stamping.
> 
> For the information, I didn't add this support because it kind of conflict with
> ptp4l which is already configuring this. So if you set it with ethtool, running
> ptp4l will change it. I am not really a PTP user so maybe I missed cases where
> we need these hwtstamp config change without using ptp4l.

Well, it's more about ability to configure HW time stamping by users.
Running software will potentially change the configuration anyways, but
it maybe helpful to test different HW configurations without changing
the software itself.